Bug 193350 - [NEW PORT] devel/py-ta-lib: Python wrapper for TA-Lib
Summary: [NEW PORT] devel/py-ta-lib: Python wrapper for TA-Lib
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D14468
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-09-05 19:24 UTC by m.tsatsenko
Modified: 2018-02-22 07:18 UTC (History)
3 users (show)

See Also:


Attachments
shar (1.71 KB, text/plain)
2014-09-05 19:24 UTC, m.tsatsenko
no flags Details
updated port (1.70 KB, text/plain)
2014-09-06 20:34 UTC, m.tsatsenko
no flags Details
updated port (1.67 KB, text/plain)
2014-09-12 22:15 UTC, m.tsatsenko
no flags Details
the port (1.75 KB, text/plain)
2018-02-22 01:13 UTC, m.tsatsenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2014-09-05 19:24:18 UTC
Created attachment 146882 [details]
shar

- py-ta-lib is a python wraper for devel/ta-lib

Build log: https://redports.org/buildarchive/20140905190921-22528/
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2014-09-05 21:30:39 UTC
Thanks for your submission. Pleaes note that 

USE_PYTHON
USE_PYDISTUTILS

and other minor things are deprecated and not to be used anymore. Can you please check your port with portlint -AC and fix those?

I'd also prefer to see USE_GITHUB and a git tag for the download mirror and MASTER_SITES handling instead using MASTER_SITES for that.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 05:22:00 UTC
Additional review items:

 * COMMENT begins with indefinite article [1]
 * Uuse finance as the primary category, python second, devel third (optional)

[1] http://www2.au.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#makefile-comment
Comment 3 m.tsatsenko 2014-09-06 20:34:46 UTC
Created attachment 146971 [details]
updated port

Ok
I removed deprecated USE_* replacing them with modern USES, also I switched to USE_GITHUB as you asked me.
COMMENT is fixed now too, but I think that primary category should be devel, not finance, because first of all it is developer oriented piece of software. Furthermore ta-lib port itself currently placed in devel category.
Comment 4 m.tsatsenko 2014-09-12 22:15:49 UTC
Created attachment 147256 [details]
updated port

Updated port: fix wrksrc after switching to use_github
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-01-10 21:15:42 UTC
The version on Github is 0.4.14.
https://github.com/mrjbq7/ta-lib
Comment 6 Yuri Victorovich freebsd_committer 2018-01-10 21:19:29 UTC
(In reply to w.schwarzenfeld from comment #5)

From 2014? Really?
Comment 7 Walter Schwarzenfeld freebsd_triage 2018-01-10 21:27:41 UTC
ChangeLog shows at least 0.4.10. On this site is mention version to 4.14.
https://github.com/mrjbq7/ta-lib/blob/master/CHANGELOG
Comment 8 Walter Schwarzenfeld freebsd_triage 2018-01-10 21:29:16 UTC
Correct On this site is mentioned version bump to 0.4.14.
Comment 9 m.tsatsenko 2018-01-23 15:17:05 UTC
Thanks for having a look. This week I will update the port to match latest upstream release.
Comment 10 m.tsatsenko 2018-02-22 01:13:24 UTC
Created attachment 190881 [details]
the port

- Update to 0.4.16
- Modernize a bit
Comment 11 m.tsatsenko 2018-02-22 01:13:49 UTC
QA:
portlint OK
Poudriere 111amd64 OK
Comment 12 Yuri Victorovich freebsd_committer 2018-02-22 06:04:03 UTC
I'll put in under finance/ because that's where it belongs most.
Comment 13 Yuri Victorovich freebsd_committer 2018-02-22 07:17:48 UTC
Committed with changes. Port name finance/py-ta-lib.
Thank you for your contribution!
Comment 14 commit-hook freebsd_committer 2018-02-22 07:18:00 UTC
A commit references this bug:

Author: yuri
Date: Thu Feb 22 07:17:40 UTC 2018
New revision: 462565
URL: https://svnweb.freebsd.org/changeset/ports/462565

Log:
  New port: finance/py-ta-lib: Python wrapper for ta-lib (tools for market analysis)

  PR:		193350
  Submitted by:	m.tsatsenko@gmail.com
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14468

Changes:
  head/finance/Makefile
  head/finance/py-ta-lib/
  head/finance/py-ta-lib/Makefile
  head/finance/py-ta-lib/distinfo
  head/finance/py-ta-lib/pkg-descr